Download it now!
Bug 58482 - PDF Export: the all Bitmap background can be seen behind a shape when a transparency gradient is used on it
Summary: PDF Export: the all Bitmap background can be seen behind a shape when a trans...
Status: RESOLVED DUPLICATE of bug 92924
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-18 21:23 UTC by cedrcaba
Modified: 2016-05-10 08:40 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example using a transparency gradient on a Bitmap background (28.96 KB, application/vnd.oasis.opendocument.graphics)
2012-12-18 21:23 UTC, cedrcaba
Details
Bad PDF export of the previous ODG file (44.23 KB, application/pdf)
2012-12-18 21:25 UTC, cedrcaba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cedrcaba 2012-12-18 21:23:46 UTC
Created attachment 71752 [details]
Example using a transparency gradient on a Bitmap background

Create an ellipse/circle/losange with a Bitmap for background.
Apply a transparency effect with a gradient on the new object.
Export as a PDF.

In the PDF, a rectangle containing the Bitmap can be seen with the shape of the object draw inside.
This doesn't happen while exporting to other format.

This bug is absent from Apache OpenOffice 3.4.
Comment 1 cedrcaba 2012-12-18 21:25:01 UTC
Created attachment 71753 [details]
Bad PDF export of the previous ODG file
Comment 2 Thomas van der Meulen 2012-12-19 05:49:29 UTC
this does acure wen i use wen Versie 3.6.4.3 (Bouw-id: 2ef5aff) on a mac runing snow leperd but in 4.0.0 is doesn't a cure any more
Comment 3 cedrcaba 2012-12-20 19:17:26 UTC
I can confirm that this bug is no longer present in LibreOffice Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7) on Linux Mint x86.

However, it is still present on the Windows x86 version (tested on Windows Vista 32bit Familial Premium).
Comment 4 cedrcaba 2012-12-22 19:35:22 UTC
Bug absent from Linux x86_64 but confirmed on a Windows 7 64bit Integral Edition and on a Windows Xp 32bit.
Comment 5 Rob Snelders 2012-12-26 09:12:56 UTC
Hi,

Can you set the version of this bug to the oldest version you have found the bug in?
Comment 6 cedrcaba 2012-12-26 19:25:08 UTC
Set to Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0)
Comment 7 Rob Snelders 2012-12-26 22:24:42 UTC
No. Please set it to the oldest version you found it in. Not the newest.

So I set it back to 3.6.4.3 as that is the oldest version I see mentioned here.
Comment 8 cedrcaba 2012-12-27 11:09:44 UTC
In 3.3.4, the shape was respected but crenelated.
In 3.4.2, the Bitmap background was extending beyond the edges of the figure but as a octagon rather than as a rectangle like now.

Before 4.0.0.0.beta1, I could see this bug on Windows and Linux, now I can only see it on Windows, so, I think we can say this is a "new" bug from 4.0.0.0.beta1 (inconsistency between platforms).
Maybe the correction will be applied on Windows for the Release version.
Comment 9 bfoman (inactive) 2013-06-20 11:16:54 UTC
Confirmed with:
LO 4.1.0.0.beta2
Build ID: 33224f4f11a05cfad2249e812fcc2975fbb61f6
Windows 7 Professional SP1 64 bit

Exported PDF with default settings - background brick picture is a rectangle.
Comment 10 QA Administrators 2015-03-16 23:21:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

    Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
    https://www.libreoffice.org/download/

    If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
  
  If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

    Update the version field
    Reply via email (please reply directly on the bug tracker)
    Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-03-16
Comment 11 Jean-Baptiste Faure 2015-03-28 23:08:35 UTC
Not reproducible with LibreOffice 4.4.3.0.0+ built at home under Ubuntu 14.10 x86-64.

This bug report is a duplicate of bug 53335.

Best regards. JBF

*** This bug has been marked as a duplicate of bug 53335 ***
Comment 12 cedrcaba 2015-05-05 19:11:39 UTC
I confirm that bug 53335 is resolved, but this bug 58482 is still present in LibreOffice 4.4.3.2 Win_x86.
Bug 53335 is about filling a shape with a hatching pattern on all platforms, whereas this bug occurs when filling a shape with a Bitmap pattern and applying a transparency gradient on Windows specifically.
Comment 13 Buovjaga 2015-10-09 18:13:03 UTC
Still confirmed.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 14 Heiko Tietze 2016-05-10 08:40:41 UTC

*** This bug has been marked as a duplicate of bug 92924 ***